summaryrefslogtreecommitdiffstats
path: root/src/zstd/contrib/single_file_libs/create_single_file_decoder.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/zstd/contrib/single_file_libs/create_single_file_decoder.sh')
-rwxr-xr-xsrc/zstd/contrib/single_file_libs/create_single_file_decoder.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/src/zstd/contrib/single_file_libs/create_single_file_decoder.sh b/src/zstd/contrib/single_file_libs/create_single_file_decoder.sh
new file mode 100755
index 000000000..b5f5613ae
--- /dev/null
+++ b/src/zstd/contrib/single_file_libs/create_single_file_decoder.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# Where to find the sources
+ZSTD_SRC_ROOT="../../lib"
+
+# Amalgamate the sources
+echo "Amalgamating files... this can take a while"
+./combine.sh -r "$ZSTD_SRC_ROOT" -o zstddeclib.c zstddeclib-in.c
+# Did combining work?
+if [ $? -ne 0 ]; then
+ echo "Combine script: FAILED"
+ exit 1
+fi
+echo "Combine script: PASSED"